<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_smartsense_csd_noise_envelope_t</compoundname>
    <includes local="no">cy_capsense_lib.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a05b74489afc68fe873e70519784f8763" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param0</definition>
        <argsstring />
        <name>param0</name>
        <briefdescription>
<para>Parameter 0 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="163" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="163" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1aa946864ff892df81a594e217ceba1d55" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param1</definition>
        <argsstring />
        <name>param1</name>
        <briefdescription>
<para>Parameter 1 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="164" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="164" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1abd13d4d25441135f993b97aa47e2c230" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param2</definition>
        <argsstring />
        <name>param2</name>
        <briefdescription>
<para>Parameter 2 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="165" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="165" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a366c60ce71fcb0fce32659a16fa09e45" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param3</definition>
        <argsstring />
        <name>param3</name>
        <briefdescription>
<para>Parameter 3 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="166" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="166" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a836e0975942aa929fabd0e74a8628e33" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param4</definition>
        <argsstring />
        <name>param4</name>
        <briefdescription>
<para>Parameter 4 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="167" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="167" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1aa10ef391278327840a384056d062ae41" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param5</definition>
        <argsstring />
        <name>param5</name>
        <briefdescription>
<para>Parameter 5 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="168" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="168" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a45d5c40b50ac10537e35b7e55dcc88f4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_smartsense_csd_noise_envelope_t::param6</definition>
        <argsstring />
        <name>param6</name>
        <briefdescription>
<para>Parameter 6 configuration. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="169" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Declares Noise envelope data structure for CSD widgets when SmartSense is enabled. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="170" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" bodystart="161" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_lib.h" line="162" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a05b74489afc68fe873e70519784f8763" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param0</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1aa946864ff892df81a594e217ceba1d55" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param1</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1abd13d4d25441135f993b97aa47e2c230" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param2</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a366c60ce71fcb0fce32659a16fa09e45" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param3</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a836e0975942aa929fabd0e74a8628e33" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param4</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1aa10ef391278327840a384056d062ae41" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param5</name></member>
      <member prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t_1a45d5c40b50ac10537e35b7e55dcc88f4" virt="non-virtual"><scope>cy_stc_capsense_smartsense_csd_noise_envelope_t</scope><name>param6</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>